# $Revision: 1.48 $, $Date: 2004/04/06 22:24:16 $
#
# Conditional build:
%bcond_without	gl	# without OpenGL libraries
%bcond_without	xft	# without Xft support
#
Summary:	Fast Light Tool Kit
Summary(pl):	FLTK - "lekki" X11 toolkit
Summary(pt_BR):	Interface grfica em C++ para X, OpenGL e Windows
Name:		fltk
Version:	1.1.4
Release:	1
License:	LGPL with amendments (see COPYING)
Group:		X11/Libraries
Source0:	ftp://ftp.easysw.com/pub/fltk/%{version}/%{name}-%{version}-source.tar.bz2
# Source0-md5:	06ce1d3def2df35525592746faccbf98
Source1:	http://www.fltk.org/doc-1.1/%{name}.ps.gz
# Source1-md5:	eb8f5a4a02d8ca2111ff007daea601b6
Patch0:		%{name}-link.patch
URL:		http://www.fltk.org/
%{?with_gl:BuildRequires:	OpenGL-devel}
BuildRequires:	XFree86-devel >= 3.3.6
BuildRequires:	autoconf
BuildRequires:	libstdc++-devel
%{?with_xft:BuildRequires:	xft-devel}
Obsoletes:	libfltk1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r), and
Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally developed
by Mr. Bill Spitzak and is currently maintained by a small group of
developers across the world with a central repository in the US.

%description -l pl
Fast Light Tool Kit ("FLTK", wymawiane "faltik"), jest rozprowadzanym
na licencji LGPL narzdziem do tworzenia graficznych interfejsw
uytkownika w C++ dla X (UNIX(r)), OpenGL(r), i Microsoft(r)
Windows(r) NT 4.0, 95, oraz 98. Jego pierwotnym autorem jest pan Bill
Spitzak; obecnie pakiet jest rozwijany przez niewielk grup
deweloperw z rnych stron wiata (centralne repozytorium znajduje
si w USA).

%description -l pt_BR
A Fast Light Tool Kit ("FLTK", pronuncia-se "fulltick")  uma
ferramenta e interface grfica feita em C++ para desenvolver
aplicativos para o X, OpenGL e Windows.

%package devel
Summary:	FLTK development files
Summary(pl):	Narzdzia programistyczne dla FLTK
Summary(pt_BR):	Arquivos de incluso para o FLTK
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Obsoletes:	libfltk1.1-devel

%description devel
FLTK development files.

%description devel -l pl
Narzdzia programistyczne dla FLTK.

%description devel -l pt_BR
Arquivos de incluso para o FLTK.

%package static
Summary:	FLTK static library
Summary(pl):	Biblioteka FLTK konsolidowana statycznie
Summary(pt_BR):	Bibliotecas estticas para o FLTK
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
FLTK static library.

%description static -l pl
Biblioteka FLTK konsolidowana statycznie.

%description static -l pt_BR
Bibliotecas estticas para o FLTK.

%package gl
Summary:	FLTK GL library
Summary(pl):	Biblioteka FLTK GL
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL

%description gl
FLTK GL library.

%description gl -l pl
Biblioteka FLTK GL.

%package gl-devel
Summary:	Header files for FLTK GL library
Summary(pl):	Pliki nagwkowe biblioteki FLTK GL
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gl = %{version}-%{release}

%description gl-devel
Header files for FLTK GL library.

%description gl-devel -l pl
Pliki nagwkowe biblioteki FLTK GL.

%package gl-static
Summary:	FLTK GL static library
Summary(pl):	Statyczna biblioteka FLTK GL
Group:		X11/Development/Libraries
Requires:	%{name}-gl-devel = %{version}-%{release}
Requires:	%{name}-static = %{version}-%{release}

%description gl-static
FLTK GL static library.

%description gl-static -l pl
Statyczna biblioteka FLTK GL.

%prep
%setup -q
%patch0 -p1

install %{SOURCE1} .

%build
CPPFLAGS="-I/usr/X11R6/include"
CXXFLAGS="%{rpmcflags} -I/usr/include/freetype2"
# no "-s" in LDFLAGS, they are propagated to fltk-config
# (together with -L/usr/X11R6/lib, so cannot be removed)
LDFLAGS=" "
%{__autoconf}
%configure \
	--enable-shared \
	--with-x \
	%{!?with_gl:--disable-gl} \
	%{?with_xft:--enable-xft}

%{__make} depend
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir}/FL,%{_libdir},%{_mandir}/man{1,3}}

if [ "%{_lib}" != "lib" ] ; then
	ln -sf $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_prefix}/lib
fi

%{__make} install \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	bindir=$RPM_BUILD_ROOT%{_bindir}

if [ "%{_lib}" != "lib" ] ; then
	rm $RPM_BUILD_ROOT%{_prefix}/lib
fi

install documentation/fltk-config.man $RPM_BUILD_ROOT%{_mandir}/man1/fltk-config.1
install documentation/fluid.man $RPM_BUILD_ROOT%{_mandir}/man1/fluid.1
install documentation/fltk.man $RPM_BUILD_ROOT%{_mandir}/man3/fltk.3

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# note: COPYING contains amendments to LGPL, so don't remove!
%doc CHANGES COPYING CREDITS README
%attr(755,root,root) %{_libdir}/libfltk.so.*.*
%attr(755,root,root) %{_libdir}/libfltk_forms.so.*.*
%attr(755,root,root) %{_libdir}/libfltk_images.so.*.*

%files devel
%defattr(644,root,root,755)
%doc documentation/*.{html,gif,jpg} fltk.ps.gz
%attr(755,root,root) %{_bindir}/fltk-config
%attr(755,root,root) %{_bindir}/fluid
%attr(755,root,root) %{_libdir}/libfltk.so
%attr(755,root,root) %{_libdir}/libfltk_forms.so
%attr(755,root,root) %{_libdir}/libfltk_images.so
%{_includedir}/FL
%exclude %{_includedir}/FL/Fl_Gl_Window.*
%exclude %{_includedir}/FL/gl*
%{_mandir}/man[13]/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libfltk.a
%{_libdir}/libfltk_forms.a
%{_libdir}/libfltk_images.a

%if %{with gl}
%files gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfltk_gl.so.*.*

%files gl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfltk_gl.so
%{_includedir}/FL/Fl_Gl_Window.*
%{_includedir}/FL/gl*

%files gl-static
%defattr(644,root,root,755)
%{_libdir}/libfltk_gl.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fltk.spec,v $
Revision 1.48  2004/04/06 22:24:16  qboosh
- updated to 1.1.4, updated link patch, removed obsolete acfix,fluid-color patches

Revision 1.47  2004/02/01 23:29:28  eothane
- bconds, cosmetics

Revision 1.46  2004/01/02 17:18:52  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.45  2003/12/29 17:10:24  jajcus
- workaround for AMD64 build

Revision 1.44  2003/10/30 16:30:46  qboosh
- added fluid-color patch, -devel R: libstdc++-devel; release 2

Revision 1.43  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powoka

Revision 1.42  2003/08/11 20:44:54  ankry
- cosmetics

Revision 1.41  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.40  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.39  2003/05/25 05:47:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/05/16 20:30:38  qboosh
- separated GL libraries, - added missing symlinks to *-devel
- avoid "-s" in `fltk-config --libs`
- fixed too simple link patch, added acfix patch
- enabled xft by default

Revision 1.37  2003/05/14 06:41:22  deejay1
- fixed Source1 URL

Revision 1.36  2003/05/13 14:55:06  qboosh
- updated to 1.1.3, replaced obsolete fluid-shared patch by new link patch

Revision 1.35  2003/02/09 13:21:47  misiek
- rel 8; rebuild

Revision 1.34  2003/01/18 22:46:46  juandon
- removed two lines with define

Revision 1.33  2002/12/02 11:06:16  ankry
- massive cleaning

Revision 1.32  2002/05/25 11:06:40  kloczek
- release 7.

Revision 1.31  2002/05/24 16:13:44  qboosh
- fixed OpenGL detection, added bcond to disable GL support

Revision 1.30  2002/05/23 20:59:07  qboosh
- new %%doc, install manuals in mandir, not docdir
- release 6

Revision 1.29  2002/05/01 16:55:51  kloczek
- merge translations from Conectiva.

Revision 1.28  2002/05/01 00:13:09  qboosh
- BR: gcc-c++

Revision 1.27  2002/04/29 09:30:45  qboosh
- removed copy of fltk.ps.gz from base (it is in -devel)
- link fluid dynamically with libfltk

Revision 1.26  2002/04/29 09:02:30  qboosh
- fixed License files, added doc
- release 5

Revision 1.25  2002/04/26 09:47:39  arturs
- added Polish description

Revision 1.24  2002/04/25 16:18:37  arturs
- fixed a small typo

Revision 1.23  2002/02/23 02:06:14  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/02 20:04:44  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.20  2002/01/18 02:12:57  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/09/28 16:37:54  baggins
- release 4
- DO NOT RENAME HEADER FILES!!!

Revision 1.18  2001/09/25 12:42:20  cieciwa
- added extensoin chage.

Revision 1.17  2001/08/23 17:45:09  wrobell
- use configure2_13 macro
- rel. 3, stb.

Revision 1.16  2001/07/17 17:56:19  wrobell
- spec works with getsrc script

Revision 1.15  2001/07/12 13:40:30  kloczek
- release 2.

Revision 1.14  2001/07/12 12:17:46  wrobell
- do not rename header files, stb

Revision 1.13  2001/07/05 10:52:11  kloczek
- typo in %install,
- removed redundant %doc in pdf.

Revision 1.12  2001/07/05 10:29:45  kloczek
- updated to 1.0.11 and bunch final cleanups.

Revision 1.11  2001/05/02 16:29:01  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2000/10/11 08:59:57  cieciwa
- update to version 1.0.9,
- fixed install process.

Revision 1.9  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/06/03 17:56:31  kloczek
- run ldconfig moved to main package,
- added %description,
- Group in main chaged to X11/Libraries.
Note: still not compiles.

Revision 1.6  2000/06/03 15:10:38  cieciwa
- updated to version 1.0.8.

Revision 1.5  2000/05/31 11:41:33  cieciwa
- fixed package,
- changed library version from 1 to 1.0.7.

Revision 1.2  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.1  2000/03/23 09:05:15  cieciwa
- initial spec.

* Sat Oct  9 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
-build RPM.
